> ## Documentation Index
> Fetch the complete documentation index at: https://www.qovery.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate New Alert Receiver

> Validate a future alert receiver by sending a test message.



## OpenAPI

````yaml /api-reference/openapi.yaml post /alert-receivers/validate
openapi: 3.0.0
info:
  version: 1.0.4
  title: Qovery API
  description: >
    - Qovery is the fastest way to deploy your full-stack apps on any Cloud
    provider.

    - ℹ️ The API is stable and still in development.
  contact:
    name: Qovery Product Team
    url: https://www.qovery.com
    email: support+api+documentation@qovery.com
  x-logo:
    url: https://console.qovery.com/assets/logos/logo-white.svg
    altText: Qovery
servers:
  - url: https://api.qovery.com
security:
  - bearerAuth: []
  - ApiKeyAuth: []
tags:
  - name: Account
  - name: Account Info
  - name: Alert Receivers
  - name: Alert Rules
  - name: Admin
  - name: ArgoCD
  - name: Application
  - name: Application Actions
  - name: Application Configuration
  - name: Application Database
  - name: Application Deployment Restriction
  - name: Application Deployment History
  - name: Application Environment Variable
  - name: Application Logs
  - name: Application Main Calls
  - name: Application Secret
  - name: Application Annotations Group
  - name: Applications
  - name: AutoscalingPolicy
  - name: Container
  - name: Container Actions
  - name: Container Configuration
  - name: Container Database
  - name: Container Deployment History
  - name: Container Environment Variable
  - name: Container Logs
  - name: Container Main Calls
  - name: Container Registry
  - name: Container Secret
  - name: Container Annotations Group
  - name: Containers
  - name: Deployment Stage Main Calls
  - name: Job
  - name: Job Actions
  - name: Job Configuration
  - name: Job Database
  - name: Job Deployment Restriction
  - name: Job Deployment History
  - name: Job Environment Variable
  - name: Job Logs
  - name: Job Main Calls
  - name: Job Registry
  - name: Job Secret
  - name: Job Annotations Group
  - name: Jobs
  - name: KedaTriggerAuthentication
  - name: Helm
  - name: Helm Actions
  - name: Helm Configuration
  - name: Helm Database
  - name: Helm Deployment Restriction
  - name: Helm Deployment History
  - name: Helm Logs
  - name: Helm Main Calls
  - name: Helm Repository
  - name: Helms
  - name: Backups
  - name: Billing
  - name: Cloud Provider
  - name: Cloud Provider Credentials
  - name: Clusters
  - name: Custom Domain
  - name: Container Custom Domain
  - name: Database
  - name: Database Actions
  - name: Database Application
  - name: Database Container
  - name: Database Deployment History
  - name: Database Main Calls
  - name: Database Annotations Group
  - name: Databases
  - name: Environment
  - name: Environment Actions
  - name: Environment Deployment History
  - name: Environment Deployment Rule
  - name: Environment Logs
  - name: Environment Main Calls
  - name: Environment Secret
  - name: Environment Variable
  - name: Environments
  - name: Git
  - name: Github App
  - name: Git repositories
  - name: Members
  - name: Organization
  - name: Organization Account Git Repositories
  - name: Organization Cluster Lock
  - name: Organization Main Calls
  - name: Organization Custom Role
  - name: Organization Event
  - name: Organization Api Token
  - name: Organization Webhook
  - name: Organization Annotations Group
  - name: Organization Labels Group
  - name: Organization Enterprise Connection
  - name: Project
  - name: Project Deployment Rule
  - name: Project Environment Variable
  - name: Project Main Calls
  - name: Project Secret
  - name: Projects
  - name: Referral & Rewards
  - name: Secret Manager Access
  - name: Terraforms
  - name: Terraform Main Calls
  - name: Terraform Resources
  - name: Terraform Deployment History
  - name: Terraform Deployment Restriction
  - name: Container Registries
  - name: Helm Repositories
  - name: User Sign Up
  - name: Variable Main Calls
  - name: Helm Custom Domain
  - name: Lifecycle Template Main Calls
paths:
  /alert-receivers/validate:
    post:
      tags:
        - Alert Receivers
      summary: Validate New Alert Receiver
      description: Validate a future alert receiver by sending a test message.
      operationId: validateNewAlertReceiver
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AlertReceiverCreationValidationRequest'
      responses:
        '200':
          description: OK
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  schemas:
    AlertReceiverCreationValidationRequest:
      title: AlertReceiverCreationValidationRequest
      x-stoplight:
        id: xbtjouxwa280v
      type: object
      required:
        - alert_receiver
      properties:
        alert_receiver:
          $ref: '#/components/schemas/AlertReceiverCreationRequest'
        message:
          type: string
          x-stoplight:
            id: s7kbacgdp3fb4
    AlertReceiverCreationRequest:
      title: AlertReceiverCreationRequest
      x-stoplight:
        id: q1oj36zhkhmvp
      x-internal: false
      oneOf:
        - $ref: '#/components/schemas/SlackAlertReceiverCreationRequest'
        - $ref: '#/components/schemas/EmailAlertReceiverCreationRequest'
      discriminator:
        propertyName: type
        mapping:
          SLACK:
            $ref: '#/components/schemas/SlackAlertReceiverCreationRequest'
          EMAIL:
            $ref: '#/components/schemas/EmailAlertReceiverCreationRequest'
    SlackAlertReceiverCreationRequest:
      title: SlackAlertReceiverCreationRequest
      x-stoplight:
        id: awuv9zidg4qxx
      allOf:
        - $ref: '#/components/schemas/AlertReceiverCreationRequestBase'
        - type: object
          required:
            - webhook_url
          properties:
            webhook_url:
              type: string
              format: uri
              x-stoplight:
                id: dre0gsq0bs0xv
    EmailAlertReceiverCreationRequest:
      title: EmailAlertReceiverCreationRequest
      allOf:
        - $ref: '#/components/schemas/AlertReceiverCreationRequestBase'
        - type: object
          required:
            - to
            - from
            - smarthost
            - auth_password
            - require_tls
          properties:
            to:
              type: string
              format: email
              description: Recipient email address
            from:
              type: string
              format: email
              description: Sender email address
            smarthost:
              type: string
              description: SMTP server in format 'host:port'
              example: smtp.example.com:587
            auth_username:
              type: string
              nullable: true
              description: >-
                SMTP authentication username. Defaults to 'from' if not
                provided.
            auth_password:
              type: string
              format: password
              description: SMTP authentication password
            require_tls:
              type: boolean
              description: Whether to require TLS for SMTP connection
    AlertReceiverCreationRequestBase:
      title: AlertReceiverCreationRequestBase
      type: object
      required:
        - organization_id
        - name
        - description
        - type
        - send_resolved
      properties:
        organization_id:
          type: string
          format: uuid
          x-stoplight:
            id: bojx2ynimjvnr
        name:
          type: string
          x-stoplight:
            id: vhcpsitoy9mm1
        description:
          type: string
          x-stoplight:
            id: lrlxf8a34veta
        type:
          $ref: '#/components/schemas/AlertReceiverType'
        send_resolved:
          type: boolean
          x-stoplight:
            id: ucf1p0q2vpohv
        owner:
          type: string
          nullable: true
        severity:
          type: string
          nullable: true
    AlertReceiverType:
      title: AlertReceiverType
      x-stoplight:
        id: 79fodqa89swh7
      enum:
        - SLACK
        - EMAIL
  responses:
    '400':
      description: Bad request
    '401':
      description: Access token is missing or invalid
    '403':
      description: Access forbidden
    '404':
      description: Resource not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT tokens should be used with OIDC account (human to machine). JWT
        tokens used by the Qovery console to communicate with the API have a
        TTL. Curl Example ' curl https://console.qovery.com/organization -H
        "Authorization: Bearer $qovery_token" '
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Token API are generated by Qovery to manage machine to machine
        interaction and do not have a TTL. Curl Example ' curl
        https://console.qovery.com/organization -H "Authorization: Token
        $qovery_token" '

````